# class Tk::CheckButton

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

toggle() click to toggle source

def create_self(keys)

    if keys and keys != None
      tk_call_without_enc('checkbutton', @path, *hash_kv(keys, true))
    else
      tk_call_without_enc('checkbutton', @path)
    end

end private :create_self

    # File lib/tk/checkbutton.rb, line 21
    def toggle
      tk_send_without_enc('toggle')
      self
    end